# MoneyRewardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MoneyRewardPhase

#### Hierarchy (View Summary)

- BattlePhase
  - MoneyRewardPhase

- Defined in src/phases/money-reward-phase.ts:8

##### Index

### Constructors

constructor

### Methods

end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new MoneyRewardPhase(moneyMultiplier: number): MoneyRewardPhase

  #### Parameters

  - moneyMultiplier: number

  #### Returns MoneyRewardPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/money-reward-phase.ts:11

## Methods

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/money-reward-phase.ts:17